Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003446 [JEDI VCL] 00 JVCL Components feature always 2006-01-17 07:45 2006-02-21 04:52
Reporter xerkan View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.10
Summary 0003446: Add FormClose property in JvProgressComponent
Description I would like to add a property to the TJvProgressComponent component to know when the form of the component has been closed pressing button X of form.

Add JvProgressComponent.pas file with that property
Additional Information Me gustaría añadir una propiedad al componente TJvProgressComponent para saber cuando se ha cerrado el formulario del componente pulsando el boton X del formulario.

Añado el archivo JvProgressComponent.pas con esa propiedad
Tags No tags attached.
Attached Files ? file icon JvProgressComponent.pas [^] (8,332 bytes) 2006-01-17 07:46

- Relationships

-  Notes
(0008452)
elahn (developer)
2006-01-25 07:59

Is there a logical difference between clicking "Cancel" or the X button of the form?

TJvProgressDialog provides access to this info via the OnClose event.
(0008470)
xerkan (reporter)
2006-01-27 01:24

The TJvProgressComponent component only has the OnShow event but it does not have the OnClose event thus I cannot know when the form has been closed
(0008583)
AHUser (developer)
2006-02-21 04:52

Added property TJvProgressComponent.OnClose: TNotifyEvent.

- Issue History
Date Modified Username Field Change
2006-01-17 07:45 xerkan New Issue
2006-01-17 07:46 xerkan File Added: JvProgressComponent.pas
2006-01-25 07:59 elahn Note Added: 0008452
2006-01-25 07:59 elahn Status new => feedback
2006-01-27 01:24 xerkan Note Added: 0008470
2006-02-21 04:52 AHUser Status feedback => resolved
2006-02-21 04:52 AHUser Resolution open => fixed
2006-02-21 04:52 AHUser Assigned To => AHUser
2006-02-21 04:52 AHUser Note Added: 0008583


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker